package com.nsgk.agentcentersdk.core;

// 协议常量
public final class NSProtocol
{
    public static final int NS_PROTOCOL_INVALID  = 0;
    public static final int NS_PROTOCOL_TEST        = 0x0001;
    public static final int NS_PROTOCOL_CONTRACTION = 0x0101;
    public static final int NS_PROTOCOL_UPDATE_CONTRACTION = 0x0102;

    public static int FromString(String str)
    {
        int i = Integer.parseInt(str);
        return Math.abs(i);
    }

    public static boolean IsValid(int protocol)
    {
        return protocol > 0; // TODO: full check
    }

    private NSProtocol() {}
}
