package com.nsgk.agentcentersdk.err;

import cn.hutool.core.collection.CollectionUtil;
import com.nsgk.agentcentersdk.utility.NSStr;

import java.util.Collection;
import java.util.Objects;

// 断言
public final class NSAssert
{
    public static void NotNull(Object obj, Integer...err)
    {
        NSErrGlobal.ASSERT(Objects.nonNull(obj), err);
    }

    public static void NotEmpty(String obj, Integer...err)
    {
        NSErrGlobal.ASSERT(NSStr.IsNotEmpty(obj), err);
    }

    public static void NotEmpty(Collection<?> obj, Integer...err)
    {
        NSErrGlobal.ASSERT(CollectionUtil.isNotEmpty(obj), err);
    }

    private NSAssert() {}
}
