package com.nsgk.agentcentersdk.err;

import lombok.Data;

@Data
public final class NSException extends RuntimeException
{
    private final int errno;

    public NSException(int errno)
    {
        super(NSErrno.ErrStr(errno));
        this.errno = errno;
    }

    public NSException(int errno, String error)
    {
        super(error);
        this.errno = errno;
    }
}
