package com.ruoyi.agentcenter.vo;

import cn.hutool.core.bean.BeanUtil;
import com.ruoyi.agentcenter.domain.TAgentTask;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@Accessors(chain = true)
public class TaskFinish
{
    @NotNull(message = "任务ID不能为空")
    private Long taskId;

    private String handleRemark;
    private String handleUser;
    private Date   handleDate;

    public TAgentTask toAgentTask()
    {
        return BeanUtil.copyProperties(this, TAgentTask.class).setId(taskId);
    }
}
