package com.ruoyi.agentcenter.vo;

import cn.hutool.core.bean.BeanUtil;
import com.ruoyi.agentcenter.domain.TAgentTask;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

@Data
@Accessors(chain = true)
public class TaskRevoke
{
    @NotEmpty(message = "年不能为空")
    private String orderYear;
    @NotEmpty(message = "月不能为空")
    private String orderMonth;
    @NotBlank(message = "村不能为空")
    private String orgCode;

    private String agentCenter;

    public TAgentTask toAgentTask()
    {
        return BeanUtil.copyProperties(this, TAgentTask.class);
    }
}
