package com.ruoyi.agentcenter.dto;

import cn.hutool.core.date.DateUtil;
import com.ruoyi.agentcenter.domain.TAgentTask;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.StringUtils;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

@Data
@Accessors(chain = true)
public class AgentTaskNumGroup
{
    private Long   numVillage;
    private Long   numBook;
    private Long   voucherCount;
    private Long   contracCount;
    private Long   otherCount;
    private Long   allCount;
    private Long   assetCount;
    private String townName;
    private String townCode;
    private String orgName;
    private String orgCode;
    private String endAt;
    private String handleDate;
    private String distriDate;
    private String handleNick;

    private String  handleUser;
    private Boolean overdueFinish;

    private List<AgentTaskNumGroup> villageList;
    private List<TAgentTask>        taskList;

    public void setupOverdueFinish()
    {
        if(StringUtils.isEmpty(endAt) || StringUtils.isEmpty(handleDate))
            return;
        Date endAtDate = DateUtils.yyyy_MM_dd(endAt);
        Date handleDateDate = DateUtils.yyyy_MM_dd(handleDate);

        overdueFinish = handleDateDate.after(endAtDate);
    }
}
